import ctypes
import pythonmemorymodule

with open("./test-payload-mod.exe", "rb") as infile:
	buf=infile.read()
	dll = pythonmemorymodule.MemoryModule(data=buf, debug=True)
	startDll = dll.get_proc_addr('WinMain')
	assert startDll()
